Browse Source

Switch python3 versions of test jobs to match Train PTI

In Train, we will use python 3.6 and 3.7 for python3 runtime
in our gate jobs [1]. This commit drops python 3.5 and adds python 3.7.

[1] https://governance.openstack.org/tc/reference/runtimes/train.html

Change-Id: I69b11066e334adfddb4ddc8ca2cafc6437d4457d
changes/05/652605/2
manchandavishal 2 years ago
committed by Vishal Manchanda
parent
commit
b13731e85d
3 changed files with 6 additions and 4 deletions
  1. +1
    -2
      .zuul.yaml
  2. +3
    -0
      setup.cfg
  3. +2
    -2
      tox.ini

+ 1
- 2
.zuul.yaml View File

@ -4,6 +4,5 @@
- horizon-nodejs10-jobs
- openstack-lower-constraints-jobs
- openstack-python-jobs-horizon
- openstack-python35-jobs-horizon
- openstack-python36-jobs-horizon
- openstack-python3-train-jobs-horizon
- publish-openstack-docs-pti

+ 3
- 0
setup.cfg View File

@ -15,6 +15,9 @@ classifier =
Programming Language :: Python
Programming Language :: Python :: 2
Programming Language :: Python :: 2.7
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
[files]
packages =


+ 2
- 2
tox.ini View File

@ -1,6 +1,6 @@
[tox]
minversion =2.0
envlist = py27,py35,pep8,eslint,karma
minversion =2.5.0
envlist = py27,py36,py37,pep8,eslint,karma
skipsdist = True
[testenv]


Loading…
Cancel
Save